package com.aucma.dms.domain;


import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;



/**
 * 点巡检项目关联物料信息对象 dms_inspect_project_device
 * 
 * @author xins
 * @date 2024-09-12
 */
public class DmsInspectProjectDevice extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 点巡检项目ID */
    private Long inspectProjectId;

    /** 关联类型(1设备类型) */
    private String targetType;

    /** 关联类型为1时关联dms_base_device_type的主键 */
    private Long targetId;

    public void setInspectProjectId(Long inspectProjectId) 
    {
        this.inspectProjectId = inspectProjectId;
    }

    public Long getInspectProjectId() 
    {
        return inspectProjectId;
    }
    public void setTargetType(String targetType) 
    {
        this.targetType = targetType;
    }

    public String getTargetType() 
    {
        return targetType;
    }
    public void setTargetId(Long targetId) 
    {
        this.targetId = targetId;
    }

    public Long getTargetId() 
    {
        return targetId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("inspectProjectId", getInspectProjectId())
            .append("targetType", getTargetType())
            .append("targetId", getTargetId())
            .toString();
    }
}
